
Foreman - Bug #3858

No menus shown for non-admin users

12/11/2013 06:17 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee:    

Category: Web Interface   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When logging in as a non-admin user, even one with the site manager role, there are no top level menus shown apart from hosts,

and nothing under the account menu - not even logout.

Related issues:

Blocked by Foreman - Refactor #3930: editing_self permission check is 'global' Closed 12/25/2013

Associated revisions

Revision 89c820d2 - 12/30/2013 12:00 PM - Amos Benari

fixes #3858 No menus shown for non-admin users

History

#1 - 12/11/2013 06:17 PM - Dominic Cleal

- File Screenshot from 2013-12-11 18_14_03.png added

#2 - 12/18/2013 12:44 PM - Dominic Cleal

https://bugzilla.redhat.com/show_bug.cgi?id=1044490

#3 - 12/25/2013 09:08 AM - Ohad Levy

- Blocked by Refactor #3930: editing_self permission check is 'global' added

#4 - 12/30/2013 01:31 PM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 89c820d2fd407988efa66c6e009ec824fd957a3c.

#5 - 01/09/2014 02:30 PM - Dominic Cleal

- Target version set to 1.9.2

Files

Screenshot from 2013-12-11 18_14_03.png 59.3 KB 12/11/2013 Dominic Cleal
